<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Category extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('category_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['category'] = $this->category_model->selectAll();
        $this->load->view('category_view_index', $data);
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
        $this->load->view('category_view_add');
    }

    function _add_process() {
        $data = new stdClass();
		$data->name = $this->input->post('name');
$data->type_id = $this->input->post('type_id');

        $id = $this->category_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['name'] = $this->input->post('name');
$data['type_id'] = $this->input->post('type_id');

        $q = $this->category_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->delete($id);

        if ($q) {
            redirect("category/index");
        } else {
            echo "deleting fail";
            redirect("category/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->getByID($id);
		$data['category'] = $q[0];
        $this->load->view('category_view_detail', $data);
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->getByID($id);
        $data['category'] = $q[0];
        $this->load->view('category_view_edit', $data);
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('name','name','required|max_length[45]');
$this->form_validation->set_rules('type_id','type_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('name','name','required|max_length[45]');
$this->form_validation->set_rules('type_id','type_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }

}
?>