<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Content extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('content_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['content'] = $this->content_model->selectAll();
        $this->load->view('content_view_index', $data);
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
        $this->load->view('content_view_add');
    }

    function _add_process() {
        $data = new stdClass();
		$data->detail = $this->input->post('detail');
$data->created = $this->input->post('created');
$data->modified = $this->input->post('modified');
$data->user_id = $this->input->post('user_id');
$data->type_id = $this->input->post('type_id');
$data->category_id = $this->input->post('category_id');

        $id = $this->content_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['detail'] = $this->input->post('detail');
$data['created'] = $this->input->post('created');
$data['modified'] = $this->input->post('modified');
$data['user_id'] = $this->input->post('user_id');
$data['type_id'] = $this->input->post('type_id');
$data['category_id'] = $this->input->post('category_id');

        $q = $this->content_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->content_model->delete($id);

        if ($q) {
            redirect("content/index");
        } else {
            echo "deleting fail";
            redirect("content/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->content_model->getByID($id);
		$data['content'] = $q[0];
        $this->load->view('content_view_detail', $data);
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->content_model->getByID($id);
        $data['content'] = $q[0];
        $this->load->view('content_view_edit', $data);
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('detail','detail','');
$this->form_validation->set_rules('created','created','');
$this->form_validation->set_rules('modified','modified','');
$this->form_validation->set_rules('user_id','user_id','required');
$this->form_validation->set_rules('type_id','type_id','required');
$this->form_validation->set_rules('category_id','category_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('detail','detail','');
$this->form_validation->set_rules('created','created','');
$this->form_validation->set_rules('modified','modified','');
$this->form_validation->set_rules('user_id','user_id','required');
$this->form_validation->set_rules('type_id','type_id','required');
$this->form_validation->set_rules('category_id','category_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }

}
?>