<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Comment extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('comment_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
		$q = $this->comment_model->selectAll();
		$datagrid = $this->table->generate($q); 
        $data['comment'] = $datagrid;
        $this->load->view('comment_view_index', $data);
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
        $this->load->view('comment_view_add');
    }

    function _add_process() {
        $data = new stdClass();
		$data->detail = $this->input->post('detail');
$data->content_id = $this->input->post('content_id');

        $id = $this->comment_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _update_process() {
        $data = array();
		$id = $this->input->post('id');
$data->detail = $this->input->post('detail');
$data->content_id = $this->input->post('content_id');

        $q = $this->comment_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->comment_model->delete($id);

        if ($q) {
            redirect("comment/index");
        } else {
            echo "deleting fail";
            redirect("comment/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $data['comment'] = $this->comment_model->getByID($id);
        $this->load->view('comment_view_detail', $data);
    }

    function update() {
        $id = $this->uri->segment(3);
        $q = $this->comment_model->getByID($id);
        $data['comment'] = $q[0];
        $this->load->view('comment_view_edit', $data);
    }

  

    /*function _get_universitas_combo() {
        $data = $this->user_model->getUniversitas();
        return $data;
    }*/

    function add_process_validate() {
		$this->_add_process();
        /*$this->form_validation->set_rules('user_name', 'Username',
                'required|alpha_numeric|min_length[6]|max_length[12]');
        $this->form_validation->set_rules('password', 'Password',
                'required|min_length[6]|max_length[12]');
        $this->form_validation->set_rules('passconf', 'Confirm Password',
                'required|matches[password]');
        $this->form_validation->set_rules('full_name', 'Fullname',
                'required|min_length[6]|max_length[99]');
        $this->form_validation->set_rules('email', 'E-mail',
                'required|valid_email');
        $this->form_validation->set_rules('tipe_user', 'Tipe User',
                'required|callback_check_tipe');
        $this->form_validation->set_rules('universitas_id', 'Universitas',
                'callback_check_universitas');
        $this->form_validation->set_rules('fakultas_id', 'Fakultas',
                'callback_check_fakultas');
        $this->form_validation->set_rules('jurusan_id', 'Jurusan',
                'callback_check_jurusan');


        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }*/
    }

  /*  function update_process_validate() {
        $this->form_validation->set_rules('password', 'Password',
                'min_length[6]|max_length[12]|matches[passconf]');
        $this->form_validation->set_rules('passconf', 'Confirm Password',
                'matches[password]');
        $this->form_validation->set_rules('full_name', 'Fullname',
                'required|min_length[6]|max_length[99]');
        $this->form_validation->set_rules('email', 'E-mail',
                'required|valid_email');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_update_process();
        }
    }
*/
}
?>