<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Rating extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('rating_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['rating'] = $this->rating_model->selectAll();
        $this->load->view('rating_view_index', $data);
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
        $this->load->view('rating_view_add');
    }

    function _add_process() {
        $data = new stdClass();
		$data->rate = $this->input->post('rate');
$data->content_id = $this->input->post('content_id');

        $id = $this->rating_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['rate'] = $this->input->post('rate');
$data['content_id'] = $this->input->post('content_id');

        $q = $this->rating_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->rating_model->delete($id);

        if ($q) {
            redirect("rating/index");
        } else {
            echo "deleting fail";
            redirect("rating/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->rating_model->getByID($id);
		$data['rating'] = $q[0];
        $this->load->view('rating_view_detail', $data);
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->rating_model->getByID($id);
        $data['rating'] = $q[0];
        $this->load->view('rating_view_edit', $data);
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('rate','rate','');
$this->form_validation->set_rules('content_id','content_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('rate','rate','');
$this->form_validation->set_rules('content_id','content_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }

}
?>