<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Setting extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('setting_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['setting'] = $this->setting_model->selectAll();
        $this->load->view('setting_view_index', $data);
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
        $this->load->view('setting_view_add');
    }

    function _add_process() {
        $data = new stdClass();
		$data->key = $this->input->post('key');
$data->label = $this->input->post('label');
$data->value = $this->input->post('value');

        $id = $this->setting_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['key'] = $this->input->post('key');
$data['label'] = $this->input->post('label');
$data['value'] = $this->input->post('value');

        $q = $this->setting_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->setting_model->delete($id);

        if ($q) {
            redirect("setting/index");
        } else {
            echo "deleting fail";
            redirect("setting/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->setting_model->getByID($id);
		$data['setting'] = $q[0];
        $this->load->view('setting_view_detail', $data);
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->setting_model->getByID($id);
        $data['setting'] = $q[0];
        $this->load->view('setting_view_edit', $data);
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('key','key','max_length[10]');
$this->form_validation->set_rules('label','label','max_length[45]');
$this->form_validation->set_rules('value','value','max_length[255]');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('key','key','max_length[10]');
$this->form_validation->set_rules('label','label','max_length[45]');
$this->form_validation->set_rules('value','value','max_length[255]');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }

}
?>